-- |All exit codes that the program can return (excepting
-- ExitSuccess). There's only one, since the program will try and fail
-- forever upon errors.
module ExitCodes (
  exit_no_feed_hosts,
  exit_no_password,
  exit_no_username )
where

-- | No feed hosts were given on the command line or in the config file.
exit_no_feed_hosts :: Int
exit_no_feed_hosts = 1

-- | No password was given on the command line or in the config file.
exit_no_password :: Int
exit_no_password = 2

-- | No username was given on the command line or in the config file.
exit_no_username :: Int
exit_no_username = 3
